---
title: "List cards"
description: "Returns a paginated list of cards for the company in the `companyId` header. Supports filtering by status, card type (virtual/physical), account type (reloadable/pool), last four digits, cardholder user id, pool account id, and creation/issuance time ranges."
source: https://developers.qashio.com/v1/reference/get-cards/
---

# List cards

`GET /cards`

Requires a Bearer access token.

Returns a paginated list of cards for the company in the `companyId` header. Supports filtering by status, card type (virtual/physical), account type (reloadable/pool), last four digits, cardholder user id, pool account id, and creation/issuance time ranges.

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no |  |
| `pageSize` | number | no |  |
| `status` | string | no | One of `inactive`, `active`, `suspended`, `terminated`, `draft`, `cancelled`. |
| `cardType` | string | no | One of `virtual`, `physical`. |
| `accountType` | string | no | One of `reloadable`, `pool`. |
| `last4` | string | no |  |
| `createdTimeTo` | string | no |  |
| `createdTimeFrom` | string | no |  |
| `issuedTimeTo` | string | no |  |
| `issuedTimeFrom` | string | no |  |
| `userId` | string | no |  |
| `poolAccountId` | string | no |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/cards?page=1&pageSize=20' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "page": 1,
  "totalPages": 51,
  "total": 1009,
  "data": [
    {
      "id": "CAj6am8270po7z56",
      "cardNickname": "vwfrsdc",
      "status": "Active",
      "cardholder": {
        "name": "Sohrab Shaikh",
        "email": "sohrab@qashio.com",
        "employeeId": "13245"
      },
      "cardType": "Virtual",
      "maskedCardNumber": "**** **** **** 6408",
      "accountExternalId": "AC980077s7pa6n2j",
      "accountType": "Pool",
      "cardCurrency": "AED",
      "createdAt": "2026-01-20T06:04:05.460Z",
      "companyName": "Qashio, Inc.",
      "segments": [
        {
          "name": null,
          "label": null,
          "erp_internal_id": null,
          "code": null
        }
      ],
      "customSegments": [
        {
          "label": null,
          "name": null,
          "erpCode": null,
          "erp_internal_id": null
        }
      ],
      "allowedMaxBalance": 5000,
      "floatManagementEnabled": false,
      "topupType": "manual",
      "cardReplaced": false,
      "transactionLimitsActive": true,
      "purchaseLimitsActive": true,
      "countryLimitsActive": true,
      "categoryLimitsActive": true,
      "atmWithdrawalAllowed": true,
      "lowBalanceNotificationActive": false,
      "lowBalanceNotificationAmount": 100,
      "terminatedAt": "2026-01-20T06:25:08.969Z",
      "activatedAt": null,
      "issuedAt": "2026-01-20T06:04:05.460Z"
    }
  ]
}
```

### Errors

- `400` Bad Request
